Class SqlEndpointBuilderFactory.SqlHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.SqlEndpointBuilderFactory.SqlHeaderNameBuilder
-
- Enclosing interface:
- SqlEndpointBuilderFactory
public static class SqlEndpointBuilderFactory.SqlHeaderNameBuilder extends Object
The builder of headers' name for the SQL component.
-
-
Constructor Summary
Constructors Constructor Description SqlHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description StringsqlGeneratedColumns()Set it to specify the expected generated columns.StringsqlGeneratedKeyRows()Rows that contains the generated keys (a list of maps of keys).StringsqlGeneratedKeysRowCount()The number of rows in the header that contains generated keys.StringsqlParameters()The SQL parameters when using the option useMessageBodyForSql.StringsqlQuery()Query to execute.StringsqlRetrieveGeneratedKeys()Set its value to true to retrieve generated keys.StringsqlRowCount()The number of rows returned for select operations, returned as an Integer object.StringsqlUpdateCount()The number of rows updated for update operations, returned as an Integer object.
-
-
-
Method Detail
-
sqlQuery
public String sqlQuery()
Query to execute. This query takes precedence over the query specified in the endpoint URI. Note that query parameters in the header _are_ represented by a instead of a pass:# symbol. The option is a:Stringtype. Group: producer- Returns:
- the name of the header
SqlQuery.
-
sqlUpdateCount
public String sqlUpdateCount()
The number of rows updated for update operations, returned as an Integer object. This header is not provided when using outputType=StreamList. The option is a:Integertype. Group: producer- Returns:
- the name of the header
SqlUpdateCount.
-
sqlRowCount
public String sqlRowCount()
The number of rows returned for select operations, returned as an Integer object. This header is not provided when using outputType=StreamList. The option is a:Integertype. Group: producer- Returns:
- the name of the header
SqlRowCount.
-
sqlRetrieveGeneratedKeys
public String sqlRetrieveGeneratedKeys()
Set its value to true to retrieve generated keys. The option is a:Booleantype. Default: false Group: producer- Returns:
- the name of the header
SqlRetrieveGeneratedKeys.
-
sqlGeneratedColumns
public String sqlGeneratedColumns()
Set it to specify the expected generated columns. The option is a:String[] or int[]type. Group: producer- Returns:
- the name of the header
SqlGeneratedColumns.
-
sqlGeneratedKeysRowCount
public String sqlGeneratedKeysRowCount()
The number of rows in the header that contains generated keys. The option is a:Integertype. Group: producer- Returns:
- the name of the header
SqlGeneratedKeysRowCount.
-
sqlGeneratedKeyRows
public String sqlGeneratedKeyRows()
Rows that contains the generated keys (a list of maps of keys). The option is a:List<Map<String, Object>>type. Group: producer- Returns:
- the name of the header
SqlGeneratedKeyRows.
-
sqlParameters
public String sqlParameters()
The SQL parameters when using the option useMessageBodyForSql. The option is a:Iteratortype. Group: producer- Returns:
- the name of the header
SqlParameters.
-
-